function column = fill_column(location, fill_length, col_length)
% FILL_COLUMN a helper for the make_test_image*.m functions
%
%   fill_column(location, fill_length, col_length)
%     fills in a column of pixels, from the starting 'location'
%     along the given 'fill_length'
%
%   Author: David Ross

if nargin ~= 3
    error('function requires 3 arguments')
end

column = zeros(col_length,1);

start_filling = floor(location);
stop_filling = ceil(location + fill_length - 1);

% fill first pixel
column(start_filling,1) = 1 - location + floor(location);

% fill intermediate pixels
for i  = (start_filling + 1):(stop_filling - 1)
    column(i,1) = 1;
end

% fill last pixel
column(stop_filling) = 1 - (ceil(location) - location );