function data = read_images()
% data = read_images
%
% Author: David Ross

if str2double(version('-release')) < 13
    warning(['"imread" doesn''t support reading .pgm files.  ' ...
	     'Please change "imread" to "pgmread" in read_images.m.']);
end

if exist('simple_histeq') ~= 3
    try mex simple_histeq.c
    catch warning(['Running "mex simple_histeq.c" failed.  This is ' ...
                   'going to be slow.']);
    end
end


image_size = [19 19];
extensions = {'.pgm'};

% get the file names from the current directory
files = {};
for nn = 1:length(extensions)
    f = dir(['*' extensions{nn}]);
    files = cat(2, files, {f.name});
end

% read in each of the files
data = zeros(image_size(1), image_size(2), length(files));
for nn = 1:length(files)
    im = imread(files{nn});
    data(:,:,nn) = simple_histeq(double(im));
end

data = reshape(data, [prod(image_size) length(files)]);
