function y = softmax(y)
% y = softmax(y)
% a numerically stable version of exp(x) / sum(exp(x)),
% performed on each column of y
%
% Author: David Ross
% $Id: softmax.m,v 1.1 2004/07/09 15:55:57 dross Exp $

rows = size(y,1);

y = y - repmat(max(y,[],1), [rows 1]) + log(realmax)/2;
y = exp(y);

% normalize along columns
y = y ./ repmat(sum(y,1), [rows 1]);