% test_faces.m
%
% Author: David Ross
% $Id: test_faces.m,v 2.3 2006/11/09 22:32:03 dross Exp $

%-----------------------------------------------------------
% Constants specifying the parameters for the experiment.
%-----------------------------------------------------------

C = 2429;         % number of examples to use - 2429 is the max
K = 8;            % number of VQ's
J = 6;            % components per VQ
iterations = 40;  % # of EM iterations 

width = 19;       % dimensions of image
height = 19;
image_size = width * height;

data_path = '';
if which('home_directory')
    data_path = [home_directory '/datasets/faces/'];
end


%---------------------------------------
% Generate the training data matrix.
%---------------------------------------

data_file = [data_path 'faces_train_histeq.mat'];
load(data_file);
C = size(faces_train,2);
data = faces_train;
clear faces_train;

%---------------------------------------
% Run the test
%---------------------------------------

[Mu, Sigma, G, M, A, B, Cost] = mcvq(data, K, J, ...
    iterations, 'tie g', 'adapt priors');
 
%[Mu, Sigma, G, M, A, B, Cost] = mcvq_gibbs(data, K, J, ...
%     iterations, 'tie g', 'adapt priors');

%[Mu, Sigma, G, M, A, B, Cost] = mcvq_mpi(data, K, J, ...
%     iterations, 'tie r', 'adapt priors');


%---------------------------------------
% Report on the results
%---------------------------------------

plot_results(B,G,M,Mu,Cost);
