% test_shapes: runs MCVQ on one set of randomly generated training images
%
%
% Author: David Ross
% $Id: test_shapes.m,v 2.2 2006/11/09 22:33:13 dross Exp $

%-----------------------------------------------------------
% Constants specifying the parameters for the experiment.
%-----------------------------------------------------------

C = 100;   % number of examples
K = 3;    % number of VQ's
J = 5;    % components per VQ
iterations = 50; % # of EM iterations

%---------------------------------------
% Generate the training data matrix.
%---------------------------------------

% - each column is a test image in vector format
data = zeros(121,C);
for c = 1:C
    data(:,c) = reshape(make_test_image, [121 1]);
    % img = (make_test_image+1);
    % if rand(1) < 0.2, img(:,1:3) = 0; end
    % if rand(1) < 0.2, img(:,5:7) = 0; end
    % if rand(1) < 0.2, img(:,9:11) = 0; end
    % data(:,c) = reshape(img, [121 1]);
end


%---------------------------------------
% Run the test
%---------------------------------------

% [Mu, Sigma, G, M, A, B, Cost] = mcvq(data, K, J, ...
%     iterations, 'tie g', 'adapt priors');
 
[Mu, Sigma, G, M, A, B, Cost] = mcvq_gibbs(data, K, J, ...
    iterations, 'tie g', 'adapt priors');


%---------------------------------------
% Report on the results
%---------------------------------------

plot_results(B,G,M,Mu,Cost);

